Sicherheitsupdate 07/2020

Allgemeine Informationen

In diesem Sicherheitsrelease haben wir neben den gewohnten Fehlerkorrekturen und Optimierungen auch Sicherheitslücken der Bedrohungsstufen "leicht" und „mittel“ schließen können. Betroffen sind die Shopware Versionen von 6.1.0 bis einschließlich 6.2.2. Folgende Sicherheitslücken wurden mit diesem Sicherheitsupdate behoben:

NEXT-9176 - Authenticated stored XSS
NEXT-9175 - Authenticated Server Side Request Forgery
NEXT-9174 - Information Leakage when the development environment is active
NEXT-9240 - Authenticated stored XSS
NEXT-9569 - Session hijacking vulnerability of customer accounts in the storefront

Wir empfehlen ein Update auf die aktuelle Version 6.2.3 durchzuführen. Das Update auf 6.2.3 kannst Du regulär über den Auto-Updater beziehen oder direkt über unsere Download-Übersicht.

https://www.shopware.com/de/download/#shopware-6

Für ältere Versionen der 6.1 stehen die entsprechenden Änderungen ebenfalls über ein Plugin zur Verfügung:

Shopware 6 Security Plugin

War dieser Artikel hilfreich?